com.microfocus.awm.zos.util

## Class JobPhase

- java.lang.Object
- - com.microfocus.awm.zos.util.JobPhase

-     public class JobPhase
      extends java.lang.Object

  Holds additional information about a job phase, which is a numeric value only.
  Author:
    Ralf Pakosch
  See Also:
    `getState()`, `

    Copyright (C) Micro Focus 2014. All rights reserved.

    `

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobPhase(int pPhaseCode)` Constructor for a numeric phase code.
    `JobPhase(java.lang.String pPhaseCodeHex)` Constructor for a hexadecimal phase code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInt()` Gets the numeric phase code.
    `java.lang.String` | `getPhase()`
    `EJobState` | `getState()` Interprets the job phase and returns the corresponding `EJobState`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobPhase

          public JobPhase(java.lang.String pPhaseCodeHex)

      Constructor for a hexadecimal phase code.
      Parameters:
        `pPhaseCodeHex` - the phase code in hexadecimal characters

    - #### JobPhase

          public JobPhase(int pPhaseCode)

      Constructor for a numeric phase code.
      Parameters:
        `pPhaseCode` - the phase code

  - ### Method Detail

    - #### getPhase

          public java.lang.String getPhase()

      Returns:
        the phase

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getInt

          public int getInt()

      Gets the numeric phase code.
      Returns:
        the phase code

    - #### getState

          public EJobState getState()

      Interprets the job phase and returns the corresponding `EJobState`.
      Returns:
        the state of the corresponding job

Copyright © 2015 Micro Focus GmbH. All rights reserved.